Subject: Re: [PATCH net-next 1/2] net: ndisc.c: fix coding style issue

From: yuan linyu <[email-masked]>
Date: Sat, 27 May 2017 06:08:17 +0800

On 六, 2017-05-27 at 02:25 +0900, 吉藤英明 wrote:
> Hi,
> 
> 2017-05-26 22:55 GMT+09:00 yuan linyu <[email-masked]>:
> > 
> > On 五, 2017-05-26 at 22:45 +0900, 吉藤英明 wrote:
> > > 
> > > Hi,
> > > 
> > > 2017-05-26 22:23 GMT+09:00 yuan linyu <[email-masked]>:
> > > > 
> > > > 
> > > > From: yuan linyu <[email-masked]>
> > > > 
> > > > Signed-off-by: yuan linyu <[email-masked]>
> > > > ---
> > > >  net/ipv6/ndisc.c | 109 ++++++++++++++++++++++++++++---------------------------
> > > >  1 file changed, 55 insertions(+), 54 deletions(-)
> > > Sorry, I don't think this kind of change for style is good
> > > bacause this makes effort of  backport more difficult.
> > hi, i can't understand.
> > if any change of this code you decide to backport, it need effort,
> > not only important fix.
> > 
> > do I miss your point ?
> Please let us minimize our effort when doing so.
> 
> If the style is not changed, we have more chance to apply the patch
> itself on top of old tree.
> 
> Thank you.
I don't know you hate this kind of changes,
from a code reader view, I like to see code with good style.
I am not happy when reading code with this kind of bad style.

And it only spend a command time to backport, right?
it will never spend your effort only if this code will not change in future.
> > > --yoshfuji